
#pragma once

#include <cstdint>
#include <fstream>
#include <string>


class OBitstream
{
public:
  OBitstream  ( std::string& filename );
  ~OBitstream ();

  bool  isValid   ()                        const { return valid; }
  void  addBit    ( uint8_t  nextBit    );
  void  terminate ( uint32_t numSymbols );

private:
  std::ofstream   file;
  bool            valid;
  uint8_t         nextBits;
  uint8_t         numNextBits;
};
