
#include "acfg.h"
#include <cassert>

ACfg::ACfg( uint32_t vers, bool prfx, uint32_t V, uint32_t U )
  : version( vers )
  , prefix ( prfx )
  , Vbits  ( V )
  , Ubits  ( U )
{
  assert( version < 5 );
  assert( U+V <  64 );
  assert( U   <= 32 );
  assert( U   >= 4  );
  assert(   V <= 32 );
  if( version == 0 )
  {
    assert( V >= 4 );
  }
  else if( version == 1 )
  {
    assert( V >= 8 );
  }
  else if (version == 2)
  {
	  assert(V >= 4);
  }
  else
  {
    assert( V >= 16 );
  }
}
